CFi ShellToys XP

Introduction to ShellToys XP
Overview of ShellToys XP tools
What's New in ShellToys XP v3.0?
The ShellToys


Introduction
ShellToys XP is a set of 38 tools and utilities that act as extensions to the Windows® shell (the Explorer application that provides your desktop, icons and folder windows, and Open/Save dialogs, among other things). After installation, a new ShellToys XP item appears on the context menu you see when you right-click a file or folder icon, or a blank space in the window. Simply move down to this item and select the action you want from the submenu.

ShellToys are not just available in folder and Explorer windows. You can use ShellToys tools in Open and Save dialogs (on compatible systems), on the Desktop, and in the Start and Favorites menus.

The Overview page lists the ShellToys XP context-menu items with brief descriptions, but you won't see all those items on the menu at the same time. The contents of the menu varies according to whether you right-clicked one file or several, a shortcut file, an archive file, an image file, an audio file, a folder, or a blank space between icons in a folder or file dialog, or the desktop.

Why ShellToys XP? ShellToys is designed and optimized for Microsoft® Windows® XP operating systems. However, ShellToys XP can be installed and used on Windows 98, 98 Second Edition, Millennium Edition and 2000, although there are some differences in the way certain tools operate.

Please read the relevant Release Notes for your operating system before using ShellToys XP.

Microsoft and Windows are registered trademarks of Microsoft Corporation.


ShellToys XP Overview
All the tools that form ShellToys XP are outlined below - click the links for more details. Remember that you won't see all these items on the ShellToys XP menu at the same time (for instance, Image Size will be shown only when you right-click an image file).

Add To Send To makes it easy to add new items to your Send To menu. Right-click a file or folder, select this item and choose a friendly name that should appear on the Send To menu for it.

Add To Templates works with the New From Template tool (described below) to allow the selected file to be copied to your Templates folder.

Batch Rename lets you apply the same type of name-change to a number of selected files, such as changing their extensions, replacing characters, adding prefixes and suffixes, or creating a new sequence of alphanumerically-named files.

Browse Images displays thumbnail versions of images in the selected folder. Right-click a thumbnail to access its Windows context menu, double-click to view the full-size image, or select a different folder from the folder-tree. It can also export thumbnails in JPEG format.

Cascade On Start Menu recreates the contents of the current (or selected) folder and its subfolders on the Start menu, letting you browse and use the contents of an often-used folder without hunting it down in Explorer.

Change Date & Time provides a quick way to change the creation and/or modification date of one or more files, or (in Windows 2000 and XP) the creation date of a folder.

Change Extension shows you a file's extension on the menu. Click the Change Extension item to change it to something different.

Choose Program is a flexible replacement for the Open With option in Windows, letting you define your own lists of programs for all file extensions (and folders), and open any file or folder using any program in a couple of clicks.

Command Prompt opens a Windows command prompt or MS-DOS prompt window on the current folder path.

Copy/Move To Folder makes it easy to copy or move folders and/or files in any combination from one folder to another.

Copy Path copies the full path of one or more files or folders to the clipboard ready for pasting elsewhere.

Encrypt/Decrypt File encrypts one or more files using powerful 448-bit Blowfish encryption combined with your choice of private key, or decrypts files previously encrypted by ShellToys XP.

Explore Rooted opens a dual-page Explorer window 'rooted' to the selected folder (or the folder containing the selected file).

Extended Delete makes it easy to find (and optionally delete to the Recycle Bin) files in multiple folders that match a particular file mask.

Extended Search & Replace is a powerful text-search-and-replace tool for quickly making text replacements in multiple files across multiple folders. (Or, if you prefer, simply finding files to work with that match certain criteria.)

Folder Contents displays the contents of a folder (its files and subfolders). Click any item to open the folder or file.

Folder Size analyzes a folder's contents and displays a mine of information about the folder, its subfolders and files, making it easy to find the largest files and folders on your system, and identify folders that are wasting the most space.

Go To Folder makes it easy to jump to a different folder in the current window, an Open/Save dialog (on compatible systems), or a new window, storing a list of your most-used folders for one-click switching.

Image Size displays the dimensions and color-depth of an image file, and can also display a scaled version of the image on the menu itself. The image or animation is shown in a separate viewer window when the item is clicked. The viewer window provides options for image browsing, properties and printing.

Mask By Type opens a window similar to the standard folder window, but displaying only files that have the same extensions as those selected.

Media Info displays tag and file information for MP3 and WMA audio files, and allows the file to be opened in the built-in audio player and MP3-tag editor.

New From Template is a more flexible alternative to the New menu. ShellToys creates a personal Templates folder for you which can hold any number of template files of any type (including several of the same type). Just pick the file you want to create from this submenu, select a name and whether to open it immediately.

Open In Notepad simply opens the selected file in Windows Notepad, whatever type of file it is.

Play Media Album plays all the MP3, WMA and WAV files in a folder (or shortcuts to those file types) in alphabetical order, using a simple and compact player window.

Print Folder Listing prints the names and other details of all the files in the selected folder (or the folder containing the selected file), optionally including its subfolders, or prints the tree structure. It can alternatively copy the same details to the clipboard.

Recent Files displays a list of files used within the last 7 days whose extensions match those of the selected files. Listed files can be double-clicked to open them, right-clicked, or dragged into another window.

Select By Type makes it easy to select all the files in the current folder or Open/Save dialog which have the same extension as those selected.

Set Attributes lets you view and change the Archive, Read-only, Hidden and System attributes of a file or folder.

Shortcut Target shows you what file or URL a shortcut or Internet Shortcut points to, and lets you open it, go to its folder, or copy its path to the clipboard. Shortcut Target can be used in the Start and Favorites menus as well as folder windows and file dialogs.

Shred File permanently deletes the selected files by overwriting them multiple times with dummy data and then deleting them from the disk.

Split File splits a large file into any number of smaller pieces to enable them to be distributed on floppy disks, the World Wide Web, or in email or Usenet attachments. A small Assembler utility is provided for distribution with the file parts.

Up One Level adds an item to the top of the context menu for folder backgrounds and the backgrounds of Open/Save dialogs (on compatible systems), allowing easy switching to the parent folder.

View Icons is a powerful icon viewer and extractor: browse the icons inside .exe and .dll files, extract one or all icons, and even save individual icon-images as new icons or as bitmap, PNG or JPEG images.

Zip/Jar/Cab Contents displays the contents of a zip, jar or cabinet archive file and lets you extract its contents, extract a single file, or view a single file.


Stand-Alone Utilities
Six of the ShellToys XP utilities can be run from the Start menu as stand-alone programs:

Browse Images (iBrowse)
Extended Delete (X-Delete)
Extended Search & Replace (X-Replace)
Mask By Type
Print Folder Listing
Recent Files

You can simply run these utilities when you want to use them and set the appropriate options.

Also on the Start menu you'll find the [image] ShellToys XP item which allows customization of the ShellToys menu items, and provides access to other ShellToys XP tools and features along with version, copyright and license information.


Getting Help
Many of the utilities included within ShellToys have a Help button or menu item which will open the appropriate page of this Help file.

In those utilities (and utilities that don't have a Help option but do display a dialog box) you can press F1 to open this Help file at the correct page.


Wish List & Bug Reporting
Is there something missing from one of the ShellToys you think should be there? Is something not as easy to use as it could be? Or maybe we've left out a Toy you think we should include? We welcome suggestions for improvements or feature-additions to existing ShellToys, or for completely new Toys.

Visit our Wish List page at www.cfisoft.com to submit a suggestion, or email us at ShellToys@cfisoft.com. (Don't worry, we won't add your details to a mailing list or pass them on to anyone else.)

You can use the same contact methods if you think you've found a bug in ShellToys XP. When you contact us, please tell us exactly which operating system you're using, and as much detail about the problem as you can (ideally a step-by-step routine we can follow to repeat it ourselves, if it's easily repeatable).


What's New?
Changes and additions in ShellToys XP v3.0 are as follows:
  • New Choose Program tool added - a smart, reliable and very flexible alternative to the Windows 'Open With' option.

  • New Media Info tool added - view MP3 and WMA tags right on the menu, edit ID3v1 tags, and play audio files.

  • New Play Media Album tool added - play folders of audio files (or shortcuts to audio files) in sequence as an album.

  • New View Icons tool added - extract icons from applications and libraries, save icons as bitmaps, JPEGs or PNGs, or create custom icons using only the formats you need.

  • New Drag-and-drop archive extraction feature makes it easy to extract the contents of zip and cab archives using drag-and-drop.

  • New Desktop icon position saver feature saves and restores the positions of desktop icons.

  • New Clipboard+ feature adds an extended clipboard to Windows, allowing any number of text, graphic or file/folder items that were copied to the clipboard to be recalled.

  • Newly powered-up Folder Size tool displays a mine of information about the selected folder, its subfolders and files, making it easy to find the largest files and folders on your system, and identify folders that are wasting the most space.

  • The ShellToys context menu now allows multiple folders to be selected and right-clicked, displaying Copy Paths, Copy/Move To Folder, Select By Type and Recent Folders items. In previous versions, no ShellToys menu was shown.

  • If a combination of files and folders is selected, the ShellToys menu now only displays tools that apply to both (currently Copy Paths, Copy/Move To Folder and Select By Type). Previously the menu would display items relating to files and ignore any selected folders.

  • The Copy/Move To Folder tool now supports folders, allowing any combination of files and folders to be copied or moved in one simple action.

  • The Copy/Move To Folder tool now provides two new actions (for files only) in addition to simple Copy and Move: (1) replace all matching files in a selected folder and its subfolders; (2) copy files to multiple folders in a single action.

  • The Folder Contents menu item now displays the number of folders and files in the selected folder.

  • The Select By Extension option is now named Select By Type, and allows a combination of files and folders to be selected.

  • A new option, 'Display icons beside file and folder items', has been added to the Options page of the ShellToys XP Settings window, which can be used to solve problems of blank menus in some 3rd-party file managers.

  • The Construct Sequence tab of the Batch Rename tool now allows you to specify a starting point in the alpha-numeric sequence.

  • When using the Change Extension tool, if a file with the new name already exists, you are now given the option to replace it with the renamed file.

  • In Folder Contents, Zip/Jar/Cab Contents and New From Template, file extensions are now shown on the menu for non-registered file types.

  • Context-sensitive (F1) help has now been added to the Image Size image-display window.

  • A new Compatibility page has been added to the ShellToys XP Settings window, allowing ShellToys to be 'hidden' from any 3rd party file managers and Explorer replacements in which it causes problems.

  • Shortcut Target now displays (and correctly executes) any parameters tagged to a shortcut.

  • Shortcut Target now selects the targeted item in the folder window when the Go To Folder button is clicked, rather than simply opening the folder.

  • Change Date & Time is now supported for folders in Windows 2000 and XP, allowing the creation date of a folder to be changed.

  • Mask By Type is now available on the ShellToys XP menu when multiple files are selected in a folder.

  • Fixes bugs that prevented icon and metafile images from being displayed on the ShellToys XP Image Size submenu.

  • Fixes a bug in which changing the case of a filename in Batch Rename would cause a warning to be displayed that the file already exists.

  • Fixes a bug in the Copy File To Folder function of Browse Images in which only the current drive would be shown in the folder dialog.

  • Fixes a bug in Shortcut Target in which shortcuts pointing to a file whose name contained an '@' symbol would be treated as email links.

  • Fixes a bug in Print Folder Listing which reported the sizes of files on CD-ROMs as 0 bytes.

  • Fixes a bug in the file list of Recent Files which could prevent drag-and-drop, context menus and double-click execution from working.

  • The main ShellToys XP Settings window has been redesigned to remove the tabs from its rather over-tabbed interface.

  • As usual, numerous cosmetic and functional tweaks to improve ease-of-use and visual style.


Installing ShellToys XP
ShellToys XP is distributed as a single self-contained installation package. Just run this installation program and follow the simple instructions.

When reinstalling ShellToys XP, or upgrading to a later version, always do the following.

Either:

  • Install to the same folder as the previous ShellToys installation, so that existing files are replaced; Or:

  • Uninstall the previous version of ShellToys, restart the computer, and then install the new version.

Uninstalling first isn't recommended as your settings and preferences will also be removed. However, files such as your New From Template template files and Go To Folder items are not deleted.

When reinstalling or upgrading ShellToys, you will usually be prompted to restart the computer. This is because key ShellToys components are in use and 'locked' by Windows, and can only be 'unlocked' and replaced when Windows shuts down.

See also:

  • Uninstalling ShellToys XP


Uninstalling ShellToys XP
When uninstalling ShellToys, the files created during the time you were using it won't be removed. These may include a file named folders.ini created by the Go To Folder tool, and Templates folders created by New From Template. You'll find these in the ShellToys installation folder. However, settings and preferences stored in the Windows Registry are removed.

To avoid losing your existing ShellToys settings when upgrading to a newer version, it's recommended that you install the new version to the same folder as the previous, without uninstalling the old version first.

To uninstall CFi ShellToys XP:

  1. Open the Windows Control Panel (Start, Control Panel or Start, Settings, Control Panel).

  2. Click on Add or Remove Programs, or run the Add/Remove Programs applet.

  3. Select the CFi ShellToys XP item and click the Change/Remove (or Add/Remove) button.

  4. In most cases you will be prompted to restart your computer. After the computer restarts, locate the folder to which ShellToys XP was installed. You can manually delete any files it contains (and, optionally, the folder itself).

See also:

  • Installing ShellToys XP


Release Notes
Please select your operating system from the list below to read about known issues when using ShellToys XP on that system:

Windows 98
Windows 98 Second Edition
Windows Me
Windows 2000
Windows XP

Explorer Replacements


Known Issues in Windows 98
  • If the Microsoft Office 97 or 2000 Shortcut Bar is used with ShellToys XP installed, the Shortcut Bar will crash when one of its buttons is clicked.

  • The ShellToys XP menu item doesn't appear when right-clicking an Internet Shortcut (.url) file on the Favorites menu, unless Internet Explorer 6 is installed.

  • When right-clicking a shortcut on the Start menu, the items on the ShellToys menu relate to the file to which the shortcut points, not the shortcut itself, and no Shortcut Target item is shown. Installing Internet Explorer 6 fixes this.

  • Due to the weakness of memory-handling in Windows 98, we strongly recommend limiting the number of items that can be shown on the Zip/Jar/Cab Contents and Folder Contents menus to a maximum of 500. More information.

  • The Up One Level item and folder items on the Go To Folder do not function when used in Open/Save file dialogs.


Known Issues in Windows 98 SE
  • If the Microsoft Office 97 or 2000 Shortcut Bar is used with ShellToys XP installed, the Shortcut Bar will crash when one of its buttons is clicked.

  • The ShellToys XP menu item doesn't appear when right-clicking an Internet Shortcut (.url) file on the Favorites menu, unless Internet Explorer 6 is installed.

  • Due to the weakness of memory-handling in Windows 98 SE, we strongly recommend limiting the number of items that can be shown on the Zip/Jar/Cab Contents and Folder Contents menus to a maximum of 500. More information.

  • The Up One Level item and folder items on the Go To Folder do not function when used in Open/Save file dialogs.


Known Issues in Windows Me
  • Due to the weakness of memory-handling in Windows Me, we strongly recommend limiting the number of items that can be shown on the Zip/Jar/Cab Contents and Folder Contents menus to a maximum of 500. More information.


Known Issues in Windows 2000
No known issues.


Known Issues in Windows XP
No known issues.


Known Issues in Explorer Replacements
While ShellToys XP should be compatible with 3rd-party file managers and Explorer replacements, we can't guarantee success in all of the many utilities available. Much depends upon whether - and how - those utilities implement Windows context menus.

The two tools that are unlikely to be supported are Select By Type and Go To Folder. This isn't an error in ShellToys: it's simply that these tools rely on interfaces built into the Windows shell that may not be implemented in non-Microsoft utilities.

If ShellToys XP causes problems in a 3rd-party utility, you can 'hide' ShellToys from that application using the Compatibility tab of the ShellToys XP Settings window. Deselecting the 'Display icons beside file and folder items' option on the Options tab may also cure problems in 3rd-party utilities.


License & Contact Information
How To Register
Evaluation License
License & Warranty
Contacting CFi


How To Register
ShellToys XP is shareware, and is provided for evaluation for up to 30 days under the evaluation license agreement. During the evaluation period, a Register item appears on the ShellToys menu and in the About dialog and technical support from CFi is not available, but there are no other differences between the unregistered and registered versions. You have full use of the software for this 30-day evaluation period.

To continue use beyond the trial period, you must purchase a license. When you purchase a license, we will send you product keys and simple registration instructions by email.

  • To purchase a license online, you can visit www.shelltoysxp.com/register and order by credit card using our secure payment facilities.

  • Alternatively you can order by fax, mail or bank transfer. Full details of these methods can be found by visiting www.shelltoysxp.com/register and click the link at the bottom of the page, or by sending email to info@cfisoft.com.

All orders are subject to the ShellToys XP License Agreement.

Licensing
A single license allows ShellToys XP to be installed and used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. ShellToys XP utilities may be accessed over a network, provided that individual licenses are obtained for the software covering all workstations that will access the software via the network. For instance, if 5 different workstations will access ShellToys XP utilities via the network, each workstation must have its own ShellToys XP license, whether they use the ShellToys XP utilities at different times or concurrently.

Pricing
Single license (1 computer): GBP £20.00 each (approx. USD $32.00, EUR 29.00)

Multiple licenses (2 to 50 computers): GBP £14.00 each (approx. USD $22.00, EUR 20.00)

To license the software for use on more than 50 computers, please contact us for pricing.


Evaluation License
ShellToys XP
Copyright © 2001–2003 Cool Focus International Ltd.
All rights reserved.

This license applies to the evaluation version of ShellToys XP. If you have purchased a license to use ShellToys XP, see the section named License & Warranty.

License Agreement
You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by Cool Focus International Ltd. your use of ShellToys XP (the 'Software') indicates your acceptance of this license agreement and warranty.

Evaluation and Registration
This is not free software. Subject to the terms below, you are hereby licensed to use this Software for evaluation purposes without charge for a period of 30 days. If you use this Software after the 30 day evaluation period a license must be purchased.

Unlicensed use of this Software after the 30-day evaluation period is in violation of U.K. and international copyright laws.

You may not rent or lease the Software, nor may you modify, adapt, translate, reverse engineer, decompile, disassemble or create derivative works of the Software. If you violate any part of this agreement, your right to use this Software terminates automatically and you then must destroy all copies of this Software in your possession.

Cool Focus International Ltd reserves all rights not expressly granted to you.

Governing Law
This agreement shall be governed by the laws of the United Kingdom.

Disclaimer of Warranty
THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which ShellToys XP may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED. The user must assume the entire risk of using the Software. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Distribution of the Software
You are hereby licensed to make as many copies of the installation package for this Software (a file named 'ShellToys.exe') as you wish; give copies of the installation package to anyone; and distribute the installation package in its unmodified form via electronic means. There is no charge for any of the above. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the installation package with other products (commercial or otherwise) without prior written permission. You may not distribute individual components of the Software.


License & Warranty
ShellToys XP
Copyright © 2001–2003 Cool Focus International Ltd.
All rights reserved.

This license applies to the registered version of ShellToys XP. If you are using an evaluation version of ShellToys XP, see the section titled Evaluation License.

License Agreement
You should carefully read the following terms and conditions before using this software. Unless you have a different license agreement signed by Cool Focus International Ltd. your use of ShellToys XP (the 'Software') indicates your acceptance of this license agreement and warranty.

Registered Version
One registered copy of ShellToys XP may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of ShellToys XP through a network, provided that you have obtained individual licenses for the software covering all workstations that will access the software through the network. For instance, if 5 different workstations will access ShellToys XP via the network, each workstation must have its own ShellToys XP license, whether they use ShellToys XP at different times or concurrently.

You may not rent or lease the Software, nor may you modify, adapt, translate, reverse engineer, decompile, disassemble or create derivative works of the Software. You may not make access to the Software (in part or whole) available to others in connection with a service bureau, application service provider, or similar business. If you violate any part of this agreement, your right to use this Software terminates automatically and you then must destroy all copies of this software in your possession.

Cool Focus International Ltd reserves all rights not expressly granted to you.

Governing Law
This agreement shall be governed by the laws of the United Kingdom.

Disclaimer of Warranty
THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS" AND WITHOUT WARRANTIES AS TO PERFORMANCE OR MERCHANTABILITY OR ANY OTHER WARRANTIES WHETHER EXPRESSED OR IMPLIED. Because of the various hardware and software environments into which ShellToys XP may be put, NO WARRANTY OF FITNESS FOR A PARTICULAR PURPOSE IS OFFERED. The user must assume the entire risk of using the Software. ANY LIABILITY OF THE SELLER WILL BE LIMITED EXCLUSIVELY TO PRODUCT REPLACEMENT OR REFUND OF PURCHASE PRICE.

Distribution of the Software
You are hereby licensed to make as many copies of the installation package for this Software (a file named 'ShellToys.exe') as you wish; give copies of the installation package to anyone; and distribute the installation package in its unmodified form via electronic means. There is no charge for any of the above. You are specifically prohibited from charging, or requesting donations, for any such copies, however made; and from distributing the installation package with other products (commercial or otherwise) without prior written permission. You may not distribute individual components of the Software, nor may you share or make public any product keys or other information provided to you by Cool Focus International Ltd in relation to the Software.


Contacting CFi
For complete CFi ShellToys information, latest releases and online registration, visit the ShellToys XP website at www.shelltoysxp.com.

Full details of all CFi products and services can be found on the World Wide Web at www.cfisoft.com. Free products, product updates and evaluation editions of CFi products can be downloaded from this site.

CFi can also be contacted by email at the following addresses:

  • Sales and distribution: sales@cfisoft.com

  • Product support (for registered users): support@cfisoft.com

  • Product comments and suggestions: feedback@cfisoft.com

  • To join the CFi mailing list: list@cfisoft.com

Don’t miss our Java and Flash software site at www.coolfocus.net!


ShellToys XP Settings
The main ShellToys XP application allows you to choose which items are enabled, move certain items to the main context menu, check for program updates, enable or disable extra features, and view ShellToys XP version, copyright and license information.

Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu.

The settings and options on these pages work on a 'per-user' basis. If you share your computer with other people (who log in using a different name), the changes you make will apply only when you are logged in.

See also:

  • Add/Remove Tools
  • Detach Tools
  • Options
  • Extras
  • Send To
  • ShellToys Updates
  • About ShellToys XP


Add/Remove Tools (ShellToys XP)

Add/Remove Tools
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Add/Remove Tools page.

You can use the list on this tabbed page to choose which ShellToys items are enabled. Items without a checkmark beside them will never appear on the menu. Click an item's checkbox in the list to toggle its checkmark on and off. Click the item's text to display a brief description of the tool in the panel to the left.

After making all the changes you need on the pages of this window, click OK to confirm your choice, or click Cancel to scrap the changes.


Detach Tools (ShellToys XP)

Detach Tools
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Detach Tools page.

By default, all enabled items are 'cascaded' on the ShellToys XP flyout menu. However, several items may be moved to the main context menu, to be placed immediately below the ShellToys XP item. Items with a checkmark beside them will be moved to the main menu. Click an item in the list to toggle its checkmark on and off.

Remember that if an item has been disabled on the Add/Remove Tools page, checking or unchecking its box on this page will make no difference.

After making all the changes you need on the pages of this window, click OK to confirm.


Options (ShellToys XP)

Options
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Options page.

Limit the number of items displayed on Zip/Jar/Cab and Folder Contents menus to...
The Zip/Jar/Cab Contents and Folder Contents tools display the contents of an archive or folder when right-clicked. If an archive or folder contains a very large number of files, the less stable Windows operating systems (Windows 98, 98 SE, Me) may crash. In addition (on any operating system) displaying thousands of items on a menu is impractical.

By checking this box, you can restrict the number of items that ShellToys will try to display on these menus. It's recommended that you set a maximum of around 300-500 to avoid crashes on the weaker systems, but a maximum of around 100 is more practical for any system. The Zip Contents (or similar) item on the menu will always tell you how many files the archive contains. We set this figure to 100 when ShellToys is first installed. When reinstalling or upgrading, your chosen setting will be retained.

Display image preview on menu for Image Size
If checked, the Image Size tool adds an extra flyout menu which displays a scaled (if necessary) version of the selected image and a 'Preview Image' menu item. You can click either the 'Preview Image' item or the image-preview itself to view the image at full size. If this option isn't checked, Image Size doesn't display a preview of the image on the menu, and you can click the 'Image Size' item to view the image at full size.

Display an icon beside the ShellToys XP menu
If checked, an icon will be placed beside the ShellToys XP menu item.

Display icons beside file and folder items
If checked, file and folder icons will be shown beside items on the Folder Contents, Zip/Jar/Cab Contents, New From Template and Go To Folder menus. If you regularly use ShellToys XP in a file manager other than Windows Explorer and the text displayed on these menus is missing or corrupted, removing the checkmark from this option should fix the problem.

Play media files automatically
If checked, MP3 and WMA files will play automatically when opened in the internal audio player by the Media Info tool. Remove the checkmark if you prefer that files do not auto-play.

Open In Notepad
These options let you change the action taken when you use the Open In Notepad tool. If you'd prefer that a different application opened the selected file, follow these steps:

  1. Check the Enable box.
  2. Click the Browse button to locate the program you want to use instead of Notepad.
  3. Type a friendly name for the program in the Caption box. This is the name that will appear on the menu.
Note that some programs don't support this option (although most do these days) - it's up to the program's developer whether to support file parameters. Another difference is that while Notepad will cheerfully try to open any type of file, many other programs check the file type and refuse to touch anything they don't recognize.

To revert to using Notepad, simply uncheck the Enable box.

After making all the changes you need on the pages of this window, click OK to confirm.


Extras (ShellToys XP)

Extras
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Extras page.

Use the links below for details of what each of the features on this page does. After making all the changes you need on the pages of this window, click OK to confirm.

See also:

  • Clear Temp folder on startup
  • Drag-and-drop archive extraction
  • Desktop icon position saver


Clear Temp folder on startup

Clear Temp folder on startup (ShellToys XP Extras)
Windows programs should automatically delete any temporary files and folders they create, but many don't (including Microsoft programs such as FrontPage). Over time these files can grow to occupy a large chunk of your hard disk.

If you check this option, the contents of your Temp folder will be deleted each time Windows starts.

This tool does not display any error messages if a folder or file cannot be deleted; it gracefully continues to the next file found. It also doesn't remain in memory, it simply runs at startup, does its job, and exits.


Drag-and-drop archive extraction (ShellToys XP Extras)
When you drag-and-drop a file or folder from one place to another using the right mouse-button, Windows displays a menu offering the options of Move, Copy or Create Shortcut.

If this option is checked, ShellToys will add easy extraction options to that menu when you drop one or more zip, jar, cab or self-extracting-zip archives from one place to another. The options available are:

  • Extract To Here (single files only): Extracts the contents of the archive to the folder or drive where the file was dropped, overwriting any files with the same names if they exist.

  • Extract To New Folder Here (single files only): Creates a new subfolder, named after the archive file, in the folder or drive where the file was dropped, and extracts the files into it. This option will never overwrite existing files because a new folder with a unique name is always created.

  • Extract All To Here (multiple files only): If multiple archives are dropped (in any combination of the supported types), their contents will be extracted to the folder or drive where the files were dropped, overwriting any files with the same name if they exist.

  • Extract To New Folders Here (multiple files only): If multiple archives are dropped (in any combination of the supported types), a new folder will be created for each archive, just as above.
The extraction options support password-protected zips, and observe any folder paths stored in the zip.


Desktop icon position saver (ShellToys XP Extras)
This tool does just what you'd expect: it saves the positions of your desktop icons to file, and can restore them to the same positions with a button-click. If you're in the habit of changing screen resolutions, or you use one of those Windows versions that rearranges your desktop unexpectedly from time to time, this is what you've been looking for.

By checking this box, ShellToys XP adds a new page to the Display Properties applet in Control Panel. To use it, just right-click the desktop, choose Properties, and switch to the Desktop Icons tab. If you don't want to use this feature, you can remove the page from Display Properties by unchecking this box.

You can save any number of desktop layouts. Each is stored in a separate file, in the same user folder used by Add To Templates. The design of this feature means that most of the time you can simply click the Save or Restore buttons without changing anything else.

To save the current icon positions:
By default, the name of the layout file is based on your current screen resolution ('800x600', '1024x768', etc). To save using this name just click the Save button. If you already have a layout file with this name, it will be replaced.

Alternatively you can click the Custom option and type your own choice of name. In this case, if a file with that name already exists a prompt will ask if you want to replace it.

Whenever you save a layout file, the contents of the drop-down list in the Restore section are automatically updated.

To restore the icon positions from file:
As above, the default option is to restore using a file named after the current screen resolution (if you've previously created one using the Save option). To use this layout file, just click Restore.

To restore from a different file, click the Other option and select the file to use from the drop-down list.


Clipboard+ Setup (ShellToys XP)

Clipboard+ Setup
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Clipboard+ page. This page is also shown when you choose Options from the context menu in the Clipboard+ window.

Clipboard+ is an extended clipboard utility which runs invisibly in the background while you work. Each time you copy text, graphics or files/folders to the clipboard in any program or window, Clipboard+ stores a copy of the same item, up to a maximum number of items that you choose. (When the maximum is reached, older items are removed to make room for new ones.)

At any time, you can open the Clipboard+ window by pressing a hotkey and view the stored clip-items. Any item can be copied back to the clipboard by double-clicking it, ready for pasting again. You can also delete individual items or clear the entire store.

To use Clipboard+, check the Enable Clipboard+ checkbox. You can then use the options below to select a hotkey for it and choose the maximum number of items it should store. Click Apply to apply the changes.

When enabled, Clipboard+ starts automatically each time Windows starts. To stop using Clipboard+, just uncheck the Enable Clipboard+ box. (Note that stopping Clipboard+ does not remove the items it has stored. Use the Clear History option in the Clipboard+ window to do that.)

Choosing a hotkey
The Modifier and Key fields let you choose the hotkey combination to use when you want to open the Clipboard+ window. Make sure the hotkey you choose isn't already used by Windows, or commonly used by applications, such as F1 or Ctrl+X. By default the hotkey is Win+V. Use the 4 checkboxes to choose the modifier keys (Ctrl, Shift, Alt, Win in any combination) and select a key from the Key list to the right.

Setting the maximum number of stored items
You can choose to store up to 250 items (although we recommend using a much lower setting - the default is 25). Each item is stored in a separate file, and those files will occupy some disk space, particularly for any graphics you copy to the clipboard. (Copied files and folders are stored as text references, so they take very little space.)

After choosing a new hotkey and/or a maximum number of items, click Apply to apply the changes to Clipboard+.

See also:

  • Clipboard+ window


Clipboard+ window
The Clipboard+ window is shown when you press the hotkey combination chosen on the Clipboard+ page of the ShellToys XP Settings window. This window displays all the currently-stored items previously copied to the clipboard. The most recent item is at the top of the list. The buttons above and below the list allow the items to be scrolled, or you can use the arrow keys or mouse-wheel.

Icons are used to denote the type of item:

The item contains text. The first few lines are shown, and you can view the first 8 complete lines in a tooltip by hovering over the item.

The item contains a graphic. The graphic is shown (scaled to fit, if necessary) and a tooltip displays the width and height of the original graphic.

The item contains one or more files or folders. The names of the first few items are shown, and the tooltip shows the full paths of the items. If any file or folder is no longer available, it will be shown as grayed-out in the item, and in square brackets in the tooltip. See the Note below.

The options for each item are available by right-clicking it. Here are explanations of each item:
Copy To Clipboard
Copies the selected item back to the clipboard, ready for pasting into another window or application. You can do this by simply double-clicking the item, or by selecting it with the arrow keys and pressing Enter.

Paste To Window
This option is available only for text clips. When you choose this option, the text of the clip is pasted directly into the window you're using, bypassing the clipboard. For example, if you're using Notepad and you press the hotkey to open Clipboard+ and select this item, the clip's text will be pasted into Notepad. (Note that you should only use this option in applications that expect to deal with text. We disable the item when the current window is the desktop or another known-incompatible window, but - of course - there is no built-in list of every application that doesn't work with text!)

Delete
Delete the selected item from Clipboard+'s store. You might do this to remove a very large graphic that you know you won't need to place on the clipboard again.

Clear History
Removes all items from Clipboard+'s store (but doesn't stop Clipboard+ itself).

Options
Opens the Clipboard+ page of the ShellToys XP Settings window, where you can change the hotkey combination or maximum number of stored items, or stop Clipboard+.

Note: When you copy files or folders to the clipboard, Clipboard+ only stores references to the files, not the files themselves. Therefore, if you later rename or delete one of the copied items (or if they were placed on the clipboard as the result of a Cut action) they can't be copied back to the clipboard from Clipboard+. In that case, Clipboard+ will warn if some of the files are no longer available, but will still place the others on the clipboard. If none of the files are available, a warning will also be shown but the clipboard contents won't be changed.

See also:

  • Clipboard+ Setup


Send To (ShellToys XP)

Send To
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the Send To page.

This feature works hand-in-hand with Add To Send To: if you can easily add new items to the Send To menu, why not remove them too?

The list shows all the optional items that appear on the Send To menu. To hide an item, just remove the checkmark beside it. To restore a hidden item to the menu, recheck its box.

Items are never deleted, just hidden. Unlike the other options on this dialog (which are only applied when you click OK) the change takes place as soon as you check or uncheck a box.


Compatibility (ShellToys XP)

Compatibility
Some third-party Windows applications that display (or make use of) context menus may not be compatible with ShellToys XP. In extreme circumstances, this could cause the application you're using to crash.

If you have problems using a particular application, you can use the options on this page to 'hide' ShellToys XP from the application. Click Add and browse to the application's executable (.exe) file to add it to the list.

To remove an application previously added, select it in the list and click Remove.

Other compatibility problems may be cured by deselecting checkbox items on the Options page of this window.

After making all the changes you need on the pages of this window, click OK to confirm.


Menu Options (ShellToys XP)

ShellToys Updates
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the ShellToys Updates page.

Click the button marked Check for ShellToys updates to connect to CFi's server and check whether a newer version of CFi ShellToys is available. (This feature requires an active connection to the Internet: if your computer isn't online, ShellToys will offer to dial your default connection.) If there is a newer version available, you can click a link to read about the new version in your default web browser.

Note: No information is passed to CFi when you use this feature.


About ShellToys XP
Select the [image] ShellToys XP item from the Start menu, or ShellToys XP Settings from the ShellToys menu, and choose the About page.

This tabbed page provides details of the ShellToys XP version in use, along with copyright information and CFi's contact details.

If ShellToys XP has been registered, you'll see your User Name and Product Key displayed here.

If ShellToys XP has not been registered, this page will display the date on which the evaluation license will expire and the number of days remaining in the trial. If you choose to register ShellToys XP, click the Register button to enter the User Name and Product Key you were given by CFi.


The ShellToys
Click the name of the ShellToys XP tool you want to read about:

Add To Send To
Add To Templates
Batch Rename
Browse Images
Cab Contents
Cascade On Start Menu
Change Date & Time
Change Extension
Choose Program
Command Prompt
Copy/Move To Folder
Copy Path
Encrypt/Decrypt File
Explore Rooted
Extended Delete
Extended Search & Replace
Folder Contents
Folder Size
 Go To Folder
Image Size
Jar Contents
Mask By Type
Media Info
New From Template
Open In Notepad
Play Media Album
Print Folder Listing
Recent Files
Select By Type
Set Attributes
Shortcut Target
Shred File
Split File
Up One Level
View Icons
Zip Contents

Extras:


Add To Send To
Available for: Single Files and Folders, Window background, Desktop

Add To Send To provides a quick and simple method of adding file and folder links to your Send To menu, making it easy to move or copy files to a particular folder or drive, or open a selected file using any application you like.

To add an item to your Send To menu:

  1. Right-click the item (or a blank space in the window) and choose Add to Send To from the ShellToys XP menu.

  2. A dialog will appear prompting you to choose a friendly name for the item (this is the name that will appear on the menu). Type a unique name (one that no other item on the menu is using) and click OK.

  3. You can now "send" any file or folder to the new Send To item in the usual way.

See also:

  • Send To Contents Customization


Batch Rename
Available for: Multiple Files

Batch Rename lets you apply the same type of name-change to a number of selected files, such as changing their case or their extensions, replacing matching text in their names, or adding prefixes and suffixes. The same changes are applied to all files selected. When you apply the changes, Batch Rename watches for 'collisions' - two files that would have the same name, causing one to be replaced by the second - and stops the operation.

To start Batch Rename, select two or more files (not folders), right-click any selected file, and choose Batch Rename from the ShellToys XP menu. Choose the options you want from the dialog that appears.

The Remove File button allows you to remove any selected file from the list, excluding it from the renaming operation.

Click the Rename button to apply the changes and exit, or Cancel to exit without applying the changes.

See also:

  • Simple Rename
  • Construct Sequence


Simple Rename (Batch Rename)

Simple Rename
The Simple Rename tabbed page provides options that let you make changes to the existing filenames listed, such as adding a prefix. (In all these fields, Batch Rename checks what you type and automatically removes any characters that cannot be used in filenames.)

Replace Text
If checked, the text you type in the first field will be replaced with the text you type in the second, for any files whose names contain that text. This is applied only to the name, not the path or extension. The text of the first field is not case sensitive. If you typed file in the first field and Frog in the second, a file in the list named My File.doc would be renamed to My Frog.doc.

Prefix With
If checked, any text you type in this field is inserted at the beginning of the filename. If you typed "Not " in this field, a file named My File.doc would become Not My File.doc.

Suffix With
If checked, any text you type in this field is inserted at the end of the filename. If you typed name, a file named My File.doc would become My Filename.doc.

Change Extensions To
If checked, all the files in the list will be given the extension you type in this field. Type the new extension with or without a preceding dot. If you typed txt, a file named My File.doc would become My File.txt.

Change Case To
If checked, the case of all the filenames in the list will be changed to either upper or lower case (according to which radio-button is checked). If uppercase is checked, for instance, My File.doc would become MY FILE.doc. If the Include extensions box is checked, the same change of case will be applied to the file's extension.

Note: If you are only changing the case of the filename, it may be necessary to refresh the view of the folder in Windows to see the effect of the change.


Construct Sequence (Batch Rename)

Construct Sequence
The Construct Sequence tabbed page allows you to create an alphanumerically-named sequence of filenames by specifying a base name (such as Image) and a suffix (such as 01 to 99). A list of files than therefore be renamed to Image01.jpg, Image02.jpg, and so on.

When you select this tabbed page, you can use the Up/Down arrow-buttons beside the file list to adjust the order of the files. When the files are renamed, the first file in the list will be given the first alphanumeric suffix ('A', or '01', for example), the second will receive the second suffix ('B' or '02'), and so on.

Place the files in the required order in the list, specify the naming structure to use, and click the Rename button to rename the files.

Base filename
Type a filename that should be given to each of the files listed.

Sequence of suffixes
Choose a sequence from the drop down list. Make sure you choose a sequence that offers at least as many unique names as there are files in the list (see below).

Starting from
Select the position in the chosen sequence from which the renaming should start. For instance, if you choose 001 to 999 in the field above, you can choose to rename the selected files starting from 091 rather than 001.

Extension
By default, the files will keep their original extensions when renamed. If you want to apply a particular extension to all the listed files, select the Use this extension option and type a new extension (with or without a leading dot).

When you click the Rename button, Batch Rename first checks the number of files selected against the maximum length of the chosen sequence and starting point. If you have 15 files and chose the 0 to 9 sequence, only the first 10 files can be renamed (since 0 to 9 only allows for 10 unique filenames). Similarly, if you chose the A to Z sequence but chose a starting point of R, the end of the sequence would be reached before all the files could be renamed. You will be given the choice of renaming those files and ignoring the rest, or canceling.

If a file already exists with the same name as one of the renamed files, you will be given the choice of replacing it, skipping that file, or canceling the operation.


Browse Images
Available for: Single Files and Folders, Window background, Desktop

The Browse Images item on the ShellToys menu opens CFi iBrowse (which can also be opened from its shortcut on the Start menu) to display thumbnail previews of the images in the selected folder (or the current folder if you right-clicked a file or the window background).

In the main iBrowse window, click any thumbnail to view its path, dimensions and file-size in the status bar. You can right-click any image thumbnail to access its Windows context menu, allowing you to carry out any of the operations you would in Windows Explorer.

Double-click a thumbnail to view a full-size version of the image in a separate image window. The image window remains open until you close it (by clicking the image) and can be minimized to the Windows taskbar. Any number of images can be displayed in image windows at once (system resources allowing). When you close the main iBrowse window, these separate image windows are also closed.

See also:

  • Toolbar & Menu
  • Options Dialog
  • Supported Image Types


Menu & Toolbar (Browse Images)

Menu & Toolbar
All the items on the toolbar correspond to matching items on the menus (explained below). The only button that doesn't have a menu equivalent is the Stop button: when iBrowse is scanning a folder for images, click this button (or press Esc) at any time to stop the scan. The images found so far will still be shown.

File, Exit (Ctrl+Q)
Closes the iBrowse application.

View, Image (Enter)
When a thumbnail is selected (by clicking it), this opens a full-size copy of the image in a separate viewer. (You can also double-click the thumbnail to do this.) The viewer window is shown on the Windows taskbar and can be minimized; any number of viewer windows can be open at once, system resources allowing. Click the image to close the viewer.

View, Folder (F4)
Toggles the Folders panel open and closed. When the panel is open, you can select a different folder to preview its images. Closing the panel maximizes viewing space for thumbnails.

Refresh Thumbnails (F5) Causes iBrowse to re-scan current folder for images.

Refresh Folders
Causes iBrowse to rebuild the folder tree in the panel at the left.

Tools, Copy Image To Clipboard
Copies the image represented by the selected thumbnail to the Windows clipboard (at the image's full size).

Tools, Copy Image Path To Clipboard
Copies the full path of the selected thumbnail image-file to the clipboard.

Tools, Copy File To Folder...
Displays a folder dialog. Choose a folder and the file represented by the selected thumbnail will be copied to that folder.

Tools, Print Image...
Displays a standard print dialog, allowing you to print the selected image at full-size.

Tools, Save JPEG Thumbnail...
Saves the selected thumbnail as a JPEG file, at the dimensions it appears in the browser. A standard file dialog is shown, letting you choose a name and location for the image.

Tools, Save All As JPEG Thumbnails
Saves all the displayed thumbnails as JPEG files, at the dimensions they appear in the browser. A new subfolder is created in the current folder, and the thumbnails are saved to the new folder.

Tools, Options
Displays the iBrowse Options dialog.


Options Dialog (Browse Images)

Options Dialog
The Options dialog lets you choose how iBrowse displays image thumbnails, and how thumbnail files are saved.

Viewer background
Click the color button to choose the background color of the viewer window.

Thumbnail background
Click the color button to choose the color of the rectangular background area of each thumbnail.

3D thumbnail frame
If checked, the thumbnail background rectangles will be given a 3-dimensional frame. Leave this box unchecked for a flat background area.

Thumbnail selector
Click the color button to choose the color of the selector-box drawn around the currently-selected thumbnail.

Thumbnail dimensions
Drag the slider to the left or right to decrease or increase the size at which thumbnails are displayed. This also affects the size at which thumbnails are saved using the two Save options on the Tools menu: the saved images have the same dimensions as their thumbnails in the browser.


Supported Image Types (Browse Images)

Supported Image Types
The image browser (iBrowse) supports image formats that commonly have the following file extensions:
bmp, jpg, gif, .tif, tga, png, pcd, pcx, wmf, emf, ico, pgm, ppm, rgb, sgi. Animated GIFs are shown as static in the browser (only the first frame is shown). Double-click the thumbnail to view the active animation in a popup window.


Cascade On Start Menu
Available for: Single Folders, Window background, Desktop

Cascade On Start Menu recreates the contents of the current (or selected) folder and optionally its subfolders on the Start menu, letting you browse and use the contents of an often-used folder without hunting it down in Explorer.

To add a folder to the Start menu:

  1. Right-click a folder, or a blank space between icons in a folder window or on the desktop, and choose Cascade On Start Menu from the ShellToys menu.

  2. Type a name for the new folder that will be added to the Start menu (or keep the original name).

  3. If the selected folder's subfolders should also be represented on the Start menu, check the Include items in subfolders box. If this box isn't checked, only files in the selected folder will be added to the Start menu.

  4. If files with the System or Hidden attribute should be ignored, check the Ignore system and hidden files box. If this box isn't checked, system and hidden files will be included on the Start menu.

  5. Click OK. A new folder with the chosen name will be added to the Start menu containing shortcuts to the files in the folder you selected (and its subfolders and their contents if the Include items in subfolders box was checked).


Change Date & Time
Available for: Single or Multiple Files, Single Folders

Change Date & Time lets you view and change the creation and/or modification date of one or more files, or change the creation date for a single folder (in Windows 2000 and XP only).

  1. Right-click any file or folder icon, and click Change Date & Time from the ShellToys XP menu.

  2. In the dialog that appears, you'll see two fields: Created and Modified.

    • If you right-clicked a single file, these fields will show the creation and modification dates of that file.

    • If you right-clicked a single folder, the creation date of the folder will be shown. (The modification date controls are disabled, because the modification date of a folder cannot be changed.)

    • If you selected multiple files, both fields will show today's date; you can see the current date and time of any of the files listed by clicking its name.

  3. If you simply wanted to view the dates of a single selected file or folder, press Esc or click Done to close the dialog.

  4. To change either of the dates, enter the required date and time into either of the fields and click the Change button beside it. If multiple files were selected, the new date will be applied to each file shown in the file-list above. (You can remove files from this list by selecting them and clicking Remove File.)

    Dates are changed only when you click one of the Change buttons.


Change Extension
Available for: Single Files

Change Extension makes it easy to view or change the extension of any file (or simply change the case of the extension).

  1. Right-click any file icon, move down to ShellToys XP, and you'll see the words Change Extension on the submenu, with the file's current extension displayed alongside.

  2. If you simply wanted to view the extension of the chosen file, you can press Esc or click outside the menu to close it.

  3. To change the extension (or change its case) click the Change Extension menu item. A dialog will appear into which you can type the required extension. You don't need to type the preceding dot (although it doesn't matter if you do). Click OK or press Enter and the selected file will have the new extension applied exactly as you typed it.

Notes:

  • If you're only changing the case of the extension, you may need to refresh the folder-window or desktop to see the effect of the change.

  • If a file with the new name already exists, a prompt will be shown to let you replace it with the renamed file. Choose Yes to delete the old file and continue the rename operation, or No to cancel.


Choose Program
Available for: Single Files and Folders, Window background, Desktop

Choose Program is a more flexible alternative to the Open With submenu included on the context menu in Windows XP (and the Open With item available in other Windows versions). Although XP's approach is better than in other versions, the alternative programs listed are not always relevant to the type of file you're trying to open, and the list has an irritating habit of changing.

Choose Program lets you define a list of programs you want to use for files with particular extensions. To open a file in one of these programs, just right click it, select Choose Program from the ShellToys XP menu and double-click the program you want to use. You can also create a list of programs with which to open folders by right-clicking a folder or the window background in the same way. Choose Program remembers which program you last used for a particular file type, and pre-selects the same program on next use, allowing you to simply press Enter if you want to use the same program again.

Adding Programs
When you right-click a file with a .txt extension (for example) and select Choose Program, the Choose Program dialog will list the programs you've selected for .txt files. The first time you select this tool for a particular file-extension the list will be empty. To add programs to the list, click the Add/Remove button and pick an option from the menu:

  • Add Existing Program displays a list of all the programs added for all types of file. If you've already defined a particular program to use for another file type, it's quicker to pick it from this list than to browse your hard drive for its .exe file.

  • Add New Program displays a standard file dialog, letting you browse your hard disk to select the .exe (or .com/.bat) file for the program you want to add.

  • Copy List From Extension displays a list of all the file extensions for which you've defined a list of programs. For example, if you've set up a list of programs to have available for opening .jpg files, and you're now creating a list for .gif files, select the JPG Files item from the dialog and the same list of programs will be added to the .gif list.

To delete an item from the current list, select it and press the Delete key or choose Remove Program from the Add/Remove menu. (This doesn't uninstall the program or delete any files, and it doesn't remove the program from the lists for other file types.)

When you add or remove a program, the list is saved immediately. If you just wanted to edit the list without opening the file you right-clicked, choose Cancel to close this window when you're done.

Notes:

  1. Programs you add must have been written to accept files (or folders) passed as parameters. Most programs that can open files do support this, but you may come across one or two older programs that don't. In those cases, the program should still run, but it won't open the selected file.

  2. Although you can create a 'Choose Program' list for folders, there are few programs that accept folders as parameters. Examples are image browsers (such as our own HotShot utility) and file managers. As above, if a program doesn't support folders as parameters, it should still open without any problems.

  3. ShellToys verifies and manages the program lists automatically, removing programs from the list if they have been uninstalled.


Command Prompt
Available for: Single Files and Folders, Window background, Desktop

Command Prompt opens a Windows command prompt or MS-DOS prompt window showing the current folder in the prompt.

Right-click any single file or folder, or a blank space in the window or dialog, and click the Command Prompt item on the ShellToys menu. The prompt window will open with the selected folder in the prompt (or, if you clicked a file or the window background, the current folder).


Copy/Move To Folder
Available for: Single or Multiple Files and Folders (in any combination)

This tool makes it easy to copy or move files or folders from one folder to another, or to copy files to multiple folders. To use this tool, select one or more files and/or folders to be copied or moved, right-click a selected item and choose Copy/Move To Folder from the ShellToys XP menu.

The files and folders you selected are shown at the top of the dialog. You can remove individual items from the list by selecting them and pressing Delete if you change your mind about copying or moving them.

Next, select the action to take. There are 4 actions to choose from:

  • Copy items to a different folder: copies the selected files and/or folders to any folder you choose.

  • Move items to a different folder: moves the selected files and/or folders to any folder you choose.

  • Copy items to multiple folders: copies the selected files to any number of folders, chosen by checking the box beside them in a tree-view.

  • Replace all matching items in a folder and its subfolders: searches the chosen folder and its subfolders for files with the same names as those selected, and replaces them with the selected files.

If you chose Copy items or Move items:

  1. In the Target folder field, enter the path to the folder to which you want to the files to be copied or moved, or click the Browse button to select a folder. If you want to create a new folder to copy or move items into, type its path into the Target folder field. The last 16 target folders are stored for easy reuse. You can clear this store at any time by clicking the Clear History button.

  2. Click OK to copy or move the listed items. If a file or folder with the same name already exists in the target folder, a prompt will give the choice of overwriting it, skipping the file, replacing all files without further prompts, or skipping all existing files without further prompts.

If you chose Replace all matching items:

  1. In the Target folder field, enter the path to the folder you want to search for matching items, or click the Browse button to select a folder. The last 16 target folders are stored for easy reuse. You can clear this store at any time by clicking the Clear History button.

  2. When you click OK, the Target folder and its subfolders will be searched for files with the same names as those in the list above. If a matching filename is found, it will be replaced with the file in the list. Because this option is intended to replace files, no prompts are shown when a file is being replaced. Therefore you should make sure that the Target folder and its subfolders don't contain any files you want to keep which have names that appear in the list.

If you chose Copy items to multiple folders:

  1. A tree-view of your computer's drives is shown, with checkboxes beside each drive and folder. Check the boxes beside any drive or folder to which you want to copy the selected files.

  2. When you click OK, the selected files will be copied to the folders with checkmarks beside them. If a file with the same name already exists in one of the target folders, a prompt will give the choice of overwriting it, skipping it, replacing all files without further prompts, or skipping all existing files without further prompts.


Copy Path
Available for: Single or Multiple Files and Folders (in any combination), Window background, Desktop

Copy Path copies the full path of any selected folder or file (or multiple selected files and folders) to the Windows clipboard, ready for pasting into another application or dialog box.

Right-click any file or folder icon, or in a blank space in the window, and choose Copy Path from the ShellToys XP menu. You won't feel the earth move, but the full path to the selected items (or the current folder, if you right-clicked the window background) will be waiting on the clipboard next time you press Ctrl+V or choose Edit, Paste in an application.

Alternatively, select multiple files and/or folders and choose Copy Paths from the ShellToys menu. The paths to the selected items will be copied to the clipboard with each on a separate line.


Encrypt/Decrypt File
Available for: Single or Multiple Files

This tool encrypts or decrypts one or more files using strong 448-bit Blowfish encryption combined with a private key of up to 56 characters in length. The key you choose is case-sensitive. When encrypting or decrypting a file, the original file is not replaced unless you check the box below the private-key fields.

The encrypted or decrypted file will be created in the same folder as the original. Encrypted files have the same name as the original (including extension), plus an .ste extension. So if you encrypt a file named MyFile.doc, the resulting encrypted file will be named MyFile.doc.ste. The encrypted file will have a different icon, showing you at a glance that the file has been encrypted by ShellToys XP.

If a file already exists with the same name, a prompt dialog will give you the choice of replacing it or cancelling the operation.

Do not change the .ste extension of encrypted files. ShellToys and Windows use this extension to recognize an encrypted file.

When selecting files to encrypt or decrypt, the Encrypt and Decrypt items will only be shown if every selected file is either encrypted or unencrypted. If you select a combination of encrypted and unencrypted files, neither item will be available.

See also:

  • Encrypting Files
  • Decrypting Files


Encrypting Files (Encrypt/Decrypt File)

Encrypting Files
To encrypt one or more files:

  1. Select one or more unencrypted files. Right-click a selected file and choose Encrypt File(s) from the ShellToys XP menu.

  2. A dialog will appear prompting you to choose a private key. Type (or paste) a key of up to 56 characters, then type it again to confirm. This key is case-sensitive. Remember that the file cannot be decrypted without this key, so make sure you choose a memorable key! If more than one file is selected, each will be encrypted using the same key.

  3. If you want to delete the original files, check the Permanently shred… checkbox. Shredding the files prevents them from being retrieved using disk tools, using the same shredding process used in the Shred File toy. (The original files are only removed once encryption has been successfully completed.)

  4. Click OK, and an encrypted copy of each selected file will be created in the same folder as the original with the same filename plus a .ste extension. (If a file with this name already exists, you'll be given the choice of replacing it or canceling.)

Important: There are no 'back doors' built into this encryption method that would allow CFi (or anyone else) to rescue your file if you forget the private key. Consider carefully what key you will use, and how many different keys you will use for different files, before using this tool.


Decrypting Files (Encrypt/Decrypt File)

Decrypting Files
To decrypt one or more files:

  1. Select one or more files previously encrypted by ShellToys (files with a .ste extension), right-click a selected file, and choose Decrypt File(s) from the ShellToys XP menu. Note that you can only decrypt multiple files in one action if each file was encrypted using the same key.

  2. A dialog will appear prompting you to enter the key that was used when encrypting the selected file(s). Type the key and click OK.

  3. If you want to delete the encrypted files, check the Delete… checkbox. (The encrypted files are only removed once decryption has been successfully completed.)

  4. The unencrypted file will be added to the same folder as the encrypted file using its original name (the name of the encrypted file minus its .ste extension). If a file with this name already exists, you'll be given the choice of replacing it or canceling.

You can also decrypt a single file by simply double-clicking its icon and entering the private key that was used to encrypt it.


Explore Rooted
Available for: Single Files and Folders, Window background, Desktop

Explore Rooted allows you to open a two-pane Windows Explorer window rooted to any folder. What's "rooted"? Only the selected folder and its subfolders will be shown in the left pane of the window, giving a clearer view of the folders and files you want to work with.

Right-click any folder or file icon and choose Explore Rooted from the ShellToys XP menu. (If you right-clicked a file, you'll see a rooted view of the folder containing it.)


Extended Delete
Available for: Folders, Single or Multiple Files, Window background, Desktop

Extended Delete allows you to find and delete files in a single folder and its subfolders that conform to a particular file mask (such as all .tmp files or all .bak files). It presents a list of the matching files found, and deletes only the files you choose from the list.

Files are always deleted to the Recycle Bin.

To use Extended Delete:

  1. Right-click one or more files, a folder, or the window background and choose Extended Delete from the ShellToys XP menu. (You can also start X-Delete from its shortcut on the Start menu.)

  2. The X-Delete window will appear. The Folder field will show the current folder. If you right-clicked one or more files, the File mask field will show their extensions. More about masks.

  3. You can change the folder to be searched by clicking the Browse button. You can also edit the file mask; recently-used file masks can be chosen from the drop-down list.

  4. Choose whether or not to search subfolders of the current folder by checking or unchecking the Include subfolders box.

  5. Click Find Files. Any files found that match the chosen mask will be listed below.

  6. Remove the checkmark beside any file that you don't want to delete.

  7. Click Delete Files to delete the files in the list that have checkmarks beside them.

Notes:

  • You don't have to delete any files in the list. At any time, you can change the folder or file-mask and search again.

  • Double-click any listed file to open it, or right-click to access its Windows context-menu. You can also drag-and-drop files to a folder or the desktop (to move/copy/create shortcuts to them) or drag them to an open application to edit them. Like Extended Search & Replace, you can use this utility as a simple search tool to find files to work with rather than to delete.

  • You can start X-Delete from its shortcut on the Start menu.


Extended Search & Replace
Available for: Single Files and Folders, Window background, Desktop

Extended Search & Replace (X-Replace) is two tools in one. First, it lets you search a particular folder and its subfolders for plain text (ASCII) files containing particular text (or just files whose names match a particular mask). Second, it allows you to replace the specified text with something different in all or any of the found files.

X-Replace provides a powerful way to make global changes to text files (such as web pages) without having to manually edit each one. You can double-click any file found to open it (just as you do in a Windows folder), or right-click it to access its Windows context menu, making X-Replace a useful searching tool even if you don't need to use its text-replace features.

You can also drag files from the list to a folder or the desktop just as you do in Windows, to move, copy or create shortcuts to them, or drag a file into an open application to edit it.

X-Replace includes options to search subfolders of the chosen folder, make case-sensitive searches, use wildcards in the Find and Replace text, make backups of all changed files, and limit the search to files whose names contain specified text (such as files with the '.htm' extension).

You can start X-Replace from its shortcut on the start menu.

See also:

  • Using X-Replace
  • Menus
  • About Wildcards


Using X-Replace (Extended Search & Replace)

Using X-Replace
When searching, you must enter something in the Find field, or the Find files matching this mask field, or both. If you enter text in the Find field, X-Replace will search only plain-text (ASCII) files. If the Find field is empty, X-Replace will look for any file whose name matches the mask in the Find files matching this mask field.

To use X-Replace to search for files:

  1. Right-click a file or folder, or the window background, and choose Extended Search & Replace from the ShellToys XP menu. (You can also start X-Replace from its shortcut on the Start menu.)

  2. If you started X-Replace from the ShellToys menu, the current folder will automatically be set as X-Replace’s search folder and its path will appear in the Search in this folder field. You can choose a different folder to search by clicking the Browse button beside this field, or picking one of the last 20 folders searched from the drop-down list.

  3. In the Find field, type or paste the text that X-Replace should search for, if you want the contents of files to be scanned.

  4. If the Case sensitive box is checked, X-Replace will search for files containing text that matches the case of your Find text.

  5. If the Use wildcards box is checked, any * or ? symbols in the Find field will be interpreted as wildcards.

  6. Check the Include subfolders box if X-Replace should look for matching files in subfolders of the selected folder.

  7. By default, X-Replace will search all plain-text files in the selected folder. To limit the search to particular files, check the box labelled Find files matching this mask and type a file mask in the field beside it. For instance, type *der* to ignore any file whose name does not contain the letters ‘der’, or *.txt to search in text files only. (You can use this option to find files whose names contain particular text without necessarily entering anything in the 'Find' field.) More information about file masks.

  8. Click the Find Files button to start the search. Any files found that match your search criteria will be shown in the list below, together with the number of instances of the 'Find' text each contains. You can stop the search at any point by clicking the Stop button or pressing the Esc key.

After performing a search for files containing particular text, following the steps above, you may want to replace instances of the 'Find' text in some or all of the files with different text. To replace text in files, follow these steps. (You can set up the Replace options before searching if you prefer.)

  1. In the Replace with field, type or paste the text with which all occurrences of the 'Find' text should be replaced. X-Replace will make replacements using this text exactly as you type it, taking note of case, carriage returns and tabs. The contents of the Replace field can be left blank if you want to simply delete any instances of the 'Find' text that are found.

  2. Check the Make backups box if X-Replace should first make a backup of any file it changes. Backups keep the original filename and add the extension .bak (so MyFile.txt would become MyFile.txt.bak) and are placed in the same folder as the original file.

  3. Remove the checkmark beside any listed file that should not be altered.

  4. Click the Replace Text button. X-Replace will replace all instances of the 'Find' text in the checked files with the 'Replace' text.

You can drag files from the list into an open application to view or edit them. You can also drag them to the desktop or a folder window: as in Windows, if you use the right mouse-button to drag files you'll be given a choice of moving, copying or creating shortcuts to the dropped files.


About Wildcards (Extended Search & Replace)

About Wildcards
X-Replace lets you search for text in documents by using the wildcard characters * and ? to replace unknown or variable text. To use wildcards in your search, check the Use wildcards box. (If this box is not checked, any wildcard characters you include in the Find or Replace fields will be treated the same way as any other character.)

Important Notes About Wildcards

  • If the first Find character is a * wildcard, everything from the beginning of a document will be regarded as a match.

  • If the last Find character is a * wildcard and a match is found, it will apply to everything from the first matching character to the end of the document.

  • If the ? character is used in the Replace field, it will not be regarded as a wildcard character. X-Replace simply copies this character unchanged into the document.

  • It's strongly recommended that you check the Make backups box when using wildcards. The combination of characters and wildcards you choose may result in text-matches you hadn't foreseen before running the search.

Using Wildcards

  • The * character can be used to replace a single character or multiple characters. For example, a search for te*s would be matched to tens, testimonials, and teaching adults.

  • The ? character is used to match a single character. For example, a search for te?t? would always find a 5-letter word, and possible matches would be teeth and tests.

As an example, let's assume you want to search an HTML document and replace all instances of the bold tag (<b>) with an italic tag (<i>). Set the Find and Replace fields like this:

Find:
<b>*</b>

Replace:
<i>*</i>

Whatever appears between the two tags will be retained.

You can also use multiple * symbols in both fields:

Find:
The biggest * in the world is * as far as I know.

Replace:
I used to think the biggest * in the world was * but now I know I'm wrong.

X-Replace will match the positions of the text represented by each * character in the Find field and slot it into the position of the corresponding character in the Replace field. For this reason, if the Replace field contains any * characters at all, it must contain exactly the same number as the Find field.

The Replace field doesn't have to contain wildcard characters. As an example:

Find:
Dear *,

Replace:
Dear Customer,

X-Replace will replace any matching text with the exact contents of the Replace field.


Folder Contents
Available for: Single Folders or Drives

Folder Contents displays the contents of the selected folder on a flyout menu, and lets you open a subfolder or open a file in its default application by clicking its menu item.

Right-click any folder or drive icon and move the pointer to Folder Contents on the ShellToys XP menu. The submenu will show the names of the folders and files contained in the selected folder. Folders appear at the top of the menu with files below, each sorted into alphabetical order.

Click any item to open it. Folders are opened in a new folder window. Files will be opened with their associated application (equivalent to double-clicking the file's icon).


Folder Size
Available for: Single Files and Folders, Window background, Desktop

Folder Size is a powerful utility that displays a count of the total number of files and subfolders in a particular folder, and the cumulative size of those files. It does a lot more than that, though...

Right-click any folder or file icon, or in a blank space in the window, and choose Folder Size from the ShellToys XP menu, and the Folder Size window will analyze the folder's contents and displays the results as a tree view. (If you right-clicked a file, you'll see details of the folder containing that file. If you right-clicked the window background, you'll see details of the current folder's contents.)

Information is listed under 4 columns:

Folder: Displays the name of each folder, just as Windows Explorer does.

%: Displays the percentage size of each folder in relation to its parent folder. The percentage values of a folder's contents should add up to roughly 100. A small indicator-image beside the figure shows the largest folders at a glance.

Size: Displays the total size of each folder's contents, including all its files and subfolders. Different text colors are used to draw your attention to MB and GB (megabyte and gigabyte) values.

Wasted: Displays the total amount of wasted space (see below) in each folder, including its subfolders. If the wasted space is greater than the size of the files, this value is highlighted in green to indicate that the folder contains many files that are smaller than the cluster size; if you don't use these files regularly, you could consider placing them in a zip archive to save space.

Allocated: Displays the total amount of disk space used by a folder's contents (Size+Wasted).

Click any folder to see additional information in the panel below. This information tells you the total number of files and subfolders in the selected folder, and the name and size of the largest file it contains. You'll also see information relating to the disk itself - its capacity, free space, file system type, and cluster size (see below).

You can also select multiple items in the list (by holding Ctrl or Shift when clicking items) to see their cumulative size displayed in the panel below.

Toolbar and Context Menu
From the left, the toolbar buttons do the following:

Expand All: Expands all nested items in the tree.

Collapse All: Collapses all expanded items. You can use the spacebar to toggle between expand-all and collapse-all.

Choose Folder: Displays a standard folder dialog, letting you pick a different folder to analyze. Keyboard fans can use Ctrl+F.

Stop: If a large folder or drive is being scanned, click Stop (or press Esc) to cancel the scan. The results so far will be shown, although they will only be accurate for folders whose contents have been fully scanned.

Cluster size and Rescan button: Allows you to analyze a folder using a different cluster size (see below).

To close this window, press Ctrl+Q.

Right-clicking an item displays a context menu containing two items:
Open Folder: opens the selected folder, letting you see the files it contains.

Scan Folder: causes Folder Size to scan this folder only, giving you a clearer view of its contents.

Cluster sizes and wasted space
Disks are divided into small, equally-sized segments called clusters. Depending on the file system in use, the cluster size can range from 512 bytes up to 32 KB. Larger cluster sizes usually result in more 'wasted' space, because an unused portion of a cluster cannot be used by another file. Therefore, if your disk uses 32 KB clusters, and you have a file of 5KB, that file uses one cluster and 27 KB is wasted.

By default, Folder Size uses the actual cluster size of the current disk to calculate wasted space. The cluster size is shown in the information panel at the bottom of the window. However, it can be useful to analyze a folder using a different cluster size, and the drop-down list in the toolbar lets you do this. For example, you may want to find out whether a folder's contents will fit onto a CD-ROM (which has a cluster size of 2 KB). The Allocated column tells you the total amount of space required for the selected folder. If it's less than the capacity of your CD-ROM, the files will fit.

(Tip: You can scan an empty, formatted, disk to see its cluster size and capacity displayed in the information panel at the bottom of the window.)

  • To rescan the current folder using a different cluster size for analysis, pick a new size from the drop-down list and click the Rescan button (or press Enter).

  • To scan a different folder using a different cluster size, pick a new size from the list, then click the Choose Folder button (Ctrl+F) to select the folder.

Note: Whenever you choose a folder on a different drive, the cluster size is always set to the correct value for that drive.


Go To Folder
Available for: Single Files and Folders, Window background, Desktop

This option makes it easy to switch between your most-used folders. It displays a submenu containing your chosen folders: just click a folder-path to switch to that folder in the current window or in a standard Windows Open or Save dialog. To open the folder in a new window, hold Ctrl when clicking the folder-path. (Note that if this option is selected by right-clicking a file or folder on the desktop, a new window will always be opened.)

Right-click any folder or file icon, or a blank space in the current window, move down to ShellToys and then to Go To Folder. The submenu that appears will contain at least two items:

Add Current Folder
Adds the folder containing the selected file to your list of folders shown on this menu. (If you right-clicked a folder, this item's caption will be Add This Folder, and the path to the selected folder itself will be added.)

Add/Remove Folders…
Displays the Add/Remove Folders Dialog, letting you add new folders to this submenu or delete folders you no longer need displayed.

Below these items are the paths to the folders you've added to the menu, if any. These folders are stored in a file named folders.ini, located in the CFi ShellToys XP installation folder.

Note: Go To Folder is not compatible with the Open/Save dialogs used by Microsoft Office applications, nor with any Open/Save dialogs in Windows 98 and 98 SE.

See also:

  • Add/Remove Folders Dialog


Add/Remove Folders Dialog (Go To Folder)

Add/Remove Folders Dialog
This dialog appears when you choose Add/Remove Folders from the Go To Folder submenu, allowing you to choose which folders are available for quick-switching on this menu.

When the dialog appears, it displays a list of the folder paths that are currently shown on the menu.

To add a new folder to the list, click the Add... button and select the folder from a standard folder dialog.

To delete a folder from the list, select it and click the Remove button.

When you've finished modifying the list, click Done or press Esc to close the dialog. The new list of folders is saved automatically each time you add or remove a folder. The folder list is stored in a file named folders.ini inside the ShellToys XP installation folder.


Image Size
Available for: Single Image Files

Image Size displays the dimensions of an image file on the menu, along with its color depth. 15 image file formats are supported (see below). The details are displayed in the form width × height, color depth.

By default, a preview of the image itself is also shown on a flyout menu (scaled to a reasonable size if necessary) along with a Preview Image item. You can switch off this option from the ShellToys XP Options dialog if you don't like it.

To view the image in a fast-loading viewer:

  • If the integrated preview is switched on, click the Preview Image item, or the image-preview itself.

  • If the integrated preview has been switched off, click the Image Size... item.

In addition to displaying the full-size image, the viewer provides a context menu of options for browsing and basic editing/conversion. Right-click the image or use the keystrokes to access these options:

Next (Right arrow): Displays the next image in the current folder, working alphabetically, and cycles round to the first image in the folder again.

Previous (Left arrow): Displays the previous image in the current folder, working alphabetically, and cycles round to the last image in the folder again.

Grayscale: Converts the current image to grayscale.

Scale: Displays a simple dialog containing a scrollbar which allows the current image to be scaled down in size. Drag the scrollbar until the required dimensions are reached then click OK.

Save As JPEG/Bitmap: Allows you to save the currently-displayed image as either a JPEG or bitmap image file. You can use this option to convert an image from a different format, or to save an image after scaling or grayscaling it using the options above.

Print (Ctrl+P): Displays a standard Print dialog and prints the current image to your chosen printer.

Properties (Alt+Enter): Displays a properties dialog giving details such as color depth, dimensions, file-type and unique colors.

Close (Esc): Closes the viewer window.

Image Size supports image formats that commonly have the following file extensions:

bmp, jpg, gif, .tif, tga, png, pcd, pcx, wmf, emf, ico, pgm, ppm, rgb, sgi, bw, psp, psd, pdd (single-layer PhotoShop and Paint Shop Pro images)

Note that the Grayscale, Scale and Save As options are not available for all types of image.


Mask By Type
Available for: Single or Multiple Files

Mask allows you to open a window displaying the files in the current folder that have the same extensions as the files you selected. This window has many of the features of a standard folder window, plus a few others.

When the window appears, the extensions of the selected files will be shown in the toolbar's Mask field. You can change the mask to *.* to view all the files in the current folder, or to something different to view another type of file and hide the rest. Folders are shown by default, but can be hidden by choosing View/Show Folders. Double-clicking a file icon in Mask does exactly the same as double-clicking it in a normal folder window. You can right-click files to access their usual Windows context menu (including, of course, their ShellToys XP menu).

See also:

  • About Masks
  • Drag & Drop
  • Menus


About Masks (Mask By Type)

About Masks
A mask is a kind of filter through which filenames are passed to determine whether they can be displayed or not. Masks are not case sensitive. The asterisk character (*) is used to denote multiple characters, so the mask *.* displays all files, since all filenames have some characters, a dot and an extension. The ? character replaces single characters, so the mask do?.txt would allow the display of files named dog.txt, DOT.txt, and so on.

You can combine masks to create one longer mask allowing more filenames though by separating each with a semi-colon (;). For instance, the mask *.txt;*.doc;*.h?? would allow all files with .txt and .doc extensions though, along with files whose extensions start with an 'h' and consist of 3 characters.

Masks are entered by typing them into the Mask field on the toolbar. Press Enter to apply the mask. The Mask utility attempts to be intelligent about this: if it thinks you should have a dot or an asterisk in the mask, it adds it for you (so you can view all text files by typing just txt rather than the unwieldy *.txt). If you want to prevent the mask being changed like this, press Shift+Enter to apply the mask unaltered.


Drag & Drop (Mask By Type)

Drag & Drop
Mask supports drag-and-drop both into and out of its window. When dragging from Mask to your desktop or a different folder, always use the right mouse-button. You'll be prompted to choose whether to copy or move the file(s) or create a shortcut.

When dragging into Mask, use either button. The same prompt will always appear. Remember that files you drop into Mask may not be visible if your current mask setting doesn't allow them to be displayed!


Menus (Mask By Type)

Menus
Important Note: You can right-click any file or folder and the same context-menu will appear that you see when you right-click the file in a normal folder window, with one difference: no Rename option will be shown. To rename a file or folder, use the Rename option built into the Mask utility (File/Rename or F2).

File / New / New Window (Ctrl+N)
Opens a new Mask window on the same folder. This lets you easily view two different sets of files side by side, or switch to a different folder in one window to compare contents. You can also open a new window for a particular folder by right-clicking the required folder in the Folder List and choosing Open in New Window.

File / Delete (Del)
Deletes the selected file(s), moving them to your Recycle Bin as in a normal folder window.

File / Rename (F2)
Opens a dialog allowing you to rename the selected file or folder.

Tools / Copy To…
Lets you copy the selected files to a chosen folder.

File / Properties (Alt+Enter)
Displays the Properties sheet for the selected file or folder.

File / Close (Ctrl+Q)
Closes the Mask window.

Edit / Cut (Ctrl+X)
Cuts the selected file(s) to the clipboard, moving them to the new location when you paste.

Edit / Copy (Ctrl+C)
Copies the selected file(s) to the clipboard.

Edit / Paste (Ctrl+V)
Pastes a file currently on the clipboard into the folder. (NOTE: you may not see this file in the Mask window if your current mask doesn't match its name.)

Edit / Paste Shortcut
Pastes a shortcut to a file you've previously cut or copied to the clipboard. (See the Note above.)

Edit / Select All (Ctrl+A)
Selects all the files in the current folder.

Edit / Invert Selection (Ctrl+I)
Changes the current selection to deselect any selected files and select all the currently-non-selected files.

View / Show All Files
A toggle option which (when checked) will any display hidden and system files in the folder that match the current mask.

View / Show Folders
Shows or hides folders in the file-viewer pane.

View / Folder List
Shows or hides the resizable folder list pane.

View / Large Icons : Small Icons : List : Details
Switches the current view style to the chosen style.

View / Mask (F4)
Provides a quick way to select the Mask field on the toolbar without sending the mouse up there. Just type a new mask and press Enter to apply it.

View / Reset Mask (Ctrl+F4)
Resets the current mask to *.*, displaying all files in the current folder.

View / Mask By Selection (Ctrl+M)
When one file is selected, choosing this option resets the current mask to display only files with the same extension as the selected file.

View / Refresh (F5)
The Mask window monitors any changes you make to the current folder in a different window and applies them automatically. This is an option to refresh the window if you want to be absolutely sure that you're seeing the current state of the folder accurately.

View / Up One Level (Ctrl+Backspace)
Switches to the current folder's parent folder (still retaining the current mask).


Media Info
Available for: Single MP3 or WMA Files

Media Info displays tag and file information for MP3 Audio and Windows Media Audio (WMA) files on a submenu. Right-click any .mp3 or .wma file, move the mouse to Media Info on the ShellToys XP menu, and you'll see the following information displayed:

  • Song title
  • Artist
  • Composer
  • Album title
  • Track number
  • Year
  • Genre
  • Duration
  • Sample Rate
  • Bit Rate
  • Channels (mono/stereo)
    • Above these items you'll see a Play/Edit (for MP3 files) or Play (WMA files) item. Click this item, or any of the information items, to open ShellToys' built-in audio player and MP3 ID3v1 tag editor.

    Player/Editor window
    The player includes standard button-controls for Start, Pause and Stop. The 4th button displays or hides track and file information, grouped onto two tabbed pages. If the current file is an MP3 audio file, the track details can be edited (see below). Drag the slider to change the wave volume of your soundcard.

    Keyboard users can press Ctrl+P to play or pause, Ctrl+S to stop, and Page Up/Page Down to show or hide the information panel.

    You can also drag-and-drop MP3 and WMA files into the open window to play them.

    To close the player window at any time, press Esc or double-click the progress-bar. The window remembers its screen position, and will start at the same position on next use.

    When the window opens, the track will begin to play automatically. You can switch off auto-play for this window by removing the check-mark beside Play media files automatically on the Options page of the ShellToys XP Settings window.

    Editing MP3 ID3v1 Tags
    To edit the tag information for the current MP3 file, display the track and file information in the player window by pressing the Page Down key, and edit or add the details such as track title and album name on the first tabbed page. When you're done, click the Change button to save the audio file with the new details. (If the song is playing when you click Change, it will be stopped.)

    Tags cannot be edited for WMA files.

    See also:

  • Play Media Album


New From Template
Available for: Folders, Window background, Desktop

This feature is a more flexible alternative to the New submenu that appears on the context menu. Windows makes the use of file templates unnecessarily complicated, so we designed this as a user-friendly method. The differences are:

  1. Adding new items to the menu is easy, through the Add To Templates item. Removing them is just as simple, using the Add/Remove Templates dialog.

  2. Templates you add really do appear on the menu. (Seems obvious, but in Windows they may appear instantly, after a couple of restarts, or never.)

  3. You can have any number of templates of the same file type (such as several different HTML documents).

  4. You can give each template its own recognizable name.

  5. When you create a new file from a template, you can choose to immediately open it for editing in its associated application.

To create a new file from one of your templates:

  1. Move to the New From Template item on the ShellToys XP menu.

  2. Pick the file you want to create from the submenu.

  3. In the dialog that appears, type a name for the new file. If you want to start editing the new file immediately in its associated application, check the box above the filename.

  4. Click Save to create the template, or Cancel to forget the whole thing.

To add or remove items that appear on the New From Template menu:

  1. From the New From Template submenu, choose Add/Remove Templates.

  2. The Add/Remove Templates dialog will open.

A quicker way to add a new template is to right-click a file and choose Add To Templates from the ShellToys XP menu.

See also:

  • Add To Templates
  • Add/Remove Templates dialog


Add To Templates
Available for: Single Files

This tool works with the New From Template feature. It lets you pick a file and add it immediately to your available template files.

To add a file to your templates:

  1. Right click any single file and choose Add To Templates from the ShellToys XP menu.

  2. Enter a name for the file. The name you choose will appear on the New From Template menu along with the file's icon. (If you choose a name that already exists, you'll be offered the choice of replacing the older file or picking a different name.)

  3. Click OK and the file will be copied to your personal Templates folder.

About the Templates folder
The Add To Templates/New From Template features work on a per-user basis. When you add your first template using the steps above, ShellToys creates a folder in its installation folder using the name currently logged on to Windows. Inside that it creates a folder called Templates. The items you see on the New From Template menu are the items in your own user-folder. Of course you can add and remove files from this folder by hand, but ShellToys provides an Add/Remove Templates dialog to make it easier.

See also:

  • New From Template
  • Add/Remove Templates dialog


Add/Remove Templates dialog
This dialog is shown when you choose Add/Remove Templates from the New From Template submenu. The dialog shows all the templates in your personal Templates folder.

  • To remove a template (deleting it from that folder) select it and click the Remove button.

  • To add a new template, click the Add button and pick the required file from the standard file dialog that appears. Another dialog will be shown letting you choose a friendly name for the template. When you click OK, the file will be copied to your personal Templates folder and you'll see it appear in the Templates list.
Click the Done button to close the dialog.

You can also add a new template by right-clicking a file and choosing Add To Templates from the ShellToys XP menu.

See also:

  • Add To Templates
  • New From Template


Open In Notepad
Available for: Single Files

Every so often you come across a file and think "What's this?" or "What type of file is this?". A useful way to find out is to open the file in Windows' Notepad utility and see if anything is recognizable. That's what this tool is for. Just right-click any file, choose Open In Notepad, and Notepad will open and display the file. Of course, you may see nothing but garbage if the file isn't a text file, but you may be able to decipher enough of the garbage to work out what program you should use.

If you have a different text editor that you prefer to Notepad, you can use that instead. In fact, you can switch this tool to use any application you like. For example, if you do a lot of work with images, you may like to make this tool open files in Photoshop or Paint Shop Pro. You can switch to a different tool in the ShellToys XP Settings window.

See also:

  • Choose Program


Play Media Album
Available for: Single Folders, Window background, Desktop

Play Media Album is a simple audio player which plays the MP3, Windows Media Audio (WMA) and Wave Audio (WAV) files in the selected folder one at a time in alphabetical order by file name. If you organize your audio tracks into folders by album (or create your own compilations of tracks), this tool gives you an easy way to get a little background music going while you work.

Right-click any folder containing audio files (or the background of the current folder's window) and choose Play Media Album from the ShellToys XP menu. The album-player window will appear and the first track will start to play.

The album-player also recognizes shortcuts to MP3, WMA and WAV files, allowing you to create compilation folders of tracks without filling your hard disk with multiple copies of the same media files.

Album-player window
The player includes standard button-controls for Start, Pause and Stop. The 4th button displays or hides the track listing (see below). Drag the slider to change the wave volume of your soundcard.

Keyboard users can press Ctrl+P to play or pause, Ctrl+S to stop, and Page Up/Page Down to show or hide the track listing.

To close the player window at any time, press Esc or double-click the progress-bar. The window remembers its screen position, and will start at the same position on next use.

To select a different folder, press Ctrl+F or (if the track listing is visible) double-click the folder name.

Track listing
The track-listing panel can be toggled using the arrow-button in the main panel or the Page Up/Page Down keys. Tracks are listed in alphabetical order by filename, and played in that order.

The name of the folder is shown above the track listing.

The currently-playing track is highlighted in bold type. Play automatically advances through the list until all tracks have been played. To jump to a particular track, either double-click it or select it using the arrow keys and press Enter. When that track finishes, play continues from the track that follows it in the list.

See also:

  • Media Info


Print Folder Listing
Available for: Single Files and Folders, Window background, Desktop

Print Folder Listing (PFL) makes it easy to print a list of the files in any folder on any drive (including files in subfolders if you choose), or to print the tree structure of a folder's subfolders. Just right-click a folder or file, or a blank space in the window, and select the Print Folder Listing item on the ShellToys XP menu. Choose whether to include subfolders in the printout, and press Enter. If you prefer, you can copy the folder listing or tree structure to the clipboard, ready for pasting into another application. (If you right-clicked a file, PFL will act on the folder containing that file.)

You can also start PFL as a separate utility using the shortcut placed on your Start menu during ShellToys XP installation, and then choose a folder to print.

See also:

  • Menus & Buttons
  • Customize Dialog
  • Tips


Menus & Buttons (Print Folder Listing)

Menus & Buttons
Print Folder Listing (Ctrl+F)
Prints a list of the files in the current folder, giving the name, size, attributes and date of last modification of each file. If the Include subfolders option is checked (and the current folder has subfolders) the contents of each subfolder will be printed. This menu entry and button will be grayed-out if the selected folder contains no files, but becomes available if you check the Include Subfolders option (working on the assumption that one of those subfolders must contain something!).

Copy Folder Listing (Shift+Ctrl+F)
Creates the same information as the Print Folder Listing option, but copies it to the clipboard for later pasting into a word processor or text editor rather than printing it. (Note that the columns of file information may be misaligned when pasting into another application due to differences in the font and tab-spacing setup set by that application.)

Print Tree (Ctrl+T)
Creates a simple tab-delimited printout of the selected folder's tree structure. This menu entry and button will be grayed-out if the selected folder contains no subfolders.

Copy Tree (Shift+Ctrl+T)
Does the same as Print Tree, but copies the result to the clipboard for pasting elsewhere rather than printing it.

Customize…
Opens the Customize dialog, allowing you choose what information is included when printing a folder listing, or to choose the layout of folder-tree printouts.

Exit (Ctrl+Q)
Exits the application.

Include Subfolders (Ctrl+S)
This option is only available if the selected folder contains subfolders. If checked, the contents of the folder's subfolders will be included when you choose the Print Folder Listing or Copy Folder Listing commands. This checkbox has no effect when you choose the Print Tree option.

Set Printer Font...
Displays a dialog that lets you change the default font used for printing to something more adventurous.

Print Setup...
Displays a standard Print Setup dialog from which you can select the printer to be used, paper size, and other print options.


Customize Dialog (Print Folder Listing)

Customize Dialog
The Customize dialog is shown when you click the Customize button or choose Options, Customize. Use this dialog to choose what information is included when you print or copy a folder listing, and to set the preferred layout when printing or copying a section of the folder tree.

The options you choose in this dialog are stored and automatically reapplied next time you use PFL.

Folder & File Listings

Include file extensions: If unchecked, file extensions will be removed from the listing.
Include file size: If unchecked, sizes of files will not be included.

Include file attributes: If unchecked, file attributes will not be included.

Include modification date: If unchecked, the last-modified date and time of the file will be excluded.

Include Hidden and System files: If unchecked, files with the Hidden and/or System attribute set will be excluded.

Folder Tree
Use tab indentation (tree style): If this option is selected (default), each item in the tree will be indented to indicate its level within the tree structure.

Don't use tabs (list style): If this option is selected, folders will be formatted as a left-aligned list.

Include full path: When using 'list style' (above), check this option to include the full path of each folder in the list. If unchecked, only the name of each folder will be listed.

Include file count in listings: If checked, the listing will show the number of files contained in each folder.

Include folder size in listings: If checked, the total size of the files in each folder will be shown in the listing.


Tips (Print Folder Listing)

Tips
  • Although you can start the utility from the Start menu and select a folder from the tree view, the more usual method is to right-click a folder or drive icon and choose Print Folder Listing from the ShellToys menu. The folder you right-clicked will automatically be selected when the PFL window appears.

  • With the required folder selected (and Include Subfolders checked if necessary), you can just press the Enter/Return key to print the folder listing and close the PFL window in one go.

  • Window size & position and your chosen printer font are saved on exit and reapplied next time the PFL window opens.


Recent Files/Recent Folders
Available for: Single or Multiple Files or Folders

Recent Files/Folders opens a window to display a list of files used within the last 7 days whose extensions match the extension(s) of the selected file(s).

To display a list of recently-used files or folders:

  1. Select one or more folders, or one or more files (but not a combination of files and folders).

  2. Right-click a selected item and choose Recent Files or Recent Folders from the ShellToys XP menu.

  3. The Recent Files window will appear, and after a second or two the list of recently-used files will be shown.

  4. If files have been deleted or renamed since their last use, or they were on a removable disk that isn't currently available, their entries will be grayed-out. You can double-click any available item to open it, right-click it to display its context menu, or drag it to the desktop or another window using the right mouse-button to copy/move/create a shortcut to it. (If you drag it to a program's window, the program will try to open it, providing that program supports drag-and-drop.)

With the Recent Files window open (or opened as a stand-alone application from the Start menu) you can run additional searches:

  • Choose the number of days the search should cover.

  • Prevent unavailable files from being shown in the window by removing the checkmark beside Show missing/unavailable links.

  • Create custom file-masks to narrow down the list of filenames found (see the topic about Mask By Type for details of file-masks).

  • Click the Go button (or choose File, Go) to run a new search. When you do that, your chosen file-mask will be automatically checked first. If the mask is blank it will be replaced with *.* (to find any file). If the mask contains no dot or asterisk (*), these will be inserted. As a result, this may mess up the mask you wanted to use: to prevent the mask from being altered, hold the Shift key as you click Go.


Select By Type
Available for: Single or Multiple Files or Folders

If you've ever tried to select all the files with particular extensions in a folder or Open/Save dialog, you know it's a hit-and-miss process. It almost always involves sorting by file type, and what if files with different extensions share the same type and icon?

Select By Type makes things much easier. Just select one or more files and/or folders in the usual way, right-click any selected item and choose Select By Type from the ShellToys XP menu. Any file with the same extension as one of those you chose will automatically become selected itself. If you selected a folder, all folders will be selected.

Note #1: Many applications allow only a single file to be selected in Open and Save dialogs. Using this option in single-selection dialogs will select only the last matching file displayed.

Note #2: This option is not compatible with the Open/Save dialogs used by Microsoft Office applications, and has no effect on the Windows desktop.


Set Attributes
Available for: Single Files and Folders

Set Attributes provides a quick and simple way to check the archive, read-only, hidden and system attribute status of any file or folder, and optionally change that status.

Right-click any single folder or file icon and move down to ShellToys. You'll see a Set Attributes entry on the menu, followed by a combination of the letters A, R, H and S indicating the current attributes set for that item. Click this entry to show the Set Attributes dialog box.

When the dialog appears, the checked boxes will indicate the attributes currently set for that file or folder. Check or uncheck boxes to add or remove the associated attribute. To commit these attributes to the selected file or folder, click the Change button (or press Enter). To cancel and close the window, click the Don't Change button (or press Esc).

Note
In Windows XP, the Set Attributes dialog allows you to remove the System attribute from a folder. This could be extremely useful (since Windows applies this attribute to certain folders unexpectedly and doesn't offer a way to remove it) but take care not to remove this attribute from folders that should have it.


Shortcut Target
Available for: Single Shortcut and Internet-Shortcut Files (.lnk & .url files)

Ever looked at a shortcut file on your desktop, Start menu, Favorites menu or elsewhere and wondered what file or URL it referred to? Shortcut Target makes it easy to find out.

Right click a shortcut file and choose Shortcut Target from the ShellToys XP menu. A simple dialog will appear showing the full path or URL to the item referred to by the shortcut and three or four buttons:

File/Folder Shortcuts:

  • Click OK to close the dialog (if all you wanted to do was see the path to the item).

  • Click Run to open the file, folder or program the shortcut refers to (this saves you the trouble of closing the dialog and double-clicking the shortcut to run it).

  • Click Go to Folder to open the folder containing the item the shortcut refers to. The item itself will be selected automatically.

  • Click Copy Path to copy the full path of the targeted item to the clipboard (including any parameters tagged to the path).

Internet Shortcuts:

  • Click OK to close the dialog (if all you wanted to do was see the URL of the item).

  • Click Open URL to open the link referred to by the shortcut in your default browser (or FTP client, or email program, depending upon the type of URL).

  • Click Copy URL to copy the full URL of the targeted item to the clipboard.

If the path to the item is too long to be displayed in the dialog, a shortened path will be shown. Move the mouse over it to see the full path in a tooltip.


Shred File
Available for: Single or Multiple Files

Shred Files deletes files instantly and securely, preventing them from being retrieved from the hard disk using file-recovery tools. A selected file is overwritten 5 times by dummy data and then deleted from the disk.

Due to the nature of this tool, a confirmation prompt will always be shown before selected files are deleted.

To shred one or more files:

  1. Select one or more files to be shredded.

  2. Right-click a selected file and choose Shred File(s) from the ShellToys XP menu.

  3. A confirmation prompt will be shown. Choose Yes to shred the files, or No to cancel.


Split File
Available for: Single Files

Split File splits a large file of any type into up to 999 pieces, making it easy to distribute on floppy disks, the World Wide Web, or in email attachments.

To split a file:

  1. Right-click the file to be split and choose Split File from the ShellToys XP menu.

  2. The file's path will be shown in the File Splitter dialog (you can choose a different file by clicking the Browse button below the field).

  3. Select the folder where the split pieces of the file will be placed. By default, this will be a new subfolder named after the file, but you can choose any existing folder by clicking the Browse button. If the folder does not exist, it will be created.

  4. Choose whether to split the file according to the size or number of parts into which the file should be split. If splitting by size, enter the maximum size for the file parts; if not, enter the total number of parts into which the file should be split.

  5. If the Include Assembler box is checked, the assembler utility (Assembler.exe) will be copied to the same folder as the file parts. The assembler is required to convert the parts back to a single file.

  6. Click Split to split the file using the selected options. Each file-part is given the same name as the original file plus a unique numeric extension. For example, if you split a file named MyFile.txt, the split files will be named MyFile.txt.001, MyFile.txt.002, and so on.

See also:

  • Reassembling A File
  • Important Notes
  • Assembler Utility


Reassembling A File (Split File)

Reassembling A File
To reassemble a previously-split file:
  1. Find and right-click the split file of the group which has the extension .001 (referred to as the 'index' file of the group).

  2. Choose Split File: Reassemble on the ShellToys XP menu.

  3. The assembler utility will appear. Click Assemble.

  4. The assembled file will be recreated in the same folder as the split-file parts.

Alternatively, if a copy of the Assembler is included in the same folder as the group of split files, simply start the Assembler. It will locate the 'index' file automatically, and you just need to click the Assemble button.


Important Notes (Split File)

Important Notes
  • Splitting and reassembling files is non-destructive. When splitting, the original file is never deleted or altered. When reassembling, the file parts are not removed.

  • If you are distributing the split file parts, you must provide a copy of the freeware assembler utility (Assembler.exe) so that users can reassemble the parts into a single file. The assembler requires a 32-bit Windows® operating system.

  • When distributing split files, make sure you include all the parts. If one or more parts are missing when the file is reassembled, the rebuilt file may be unusable.

  • Do not rename the file parts or alter their numeric extensions. The name and numeric extensions are used by the Assembler to rebuild the file.


Assembler Utility (Split File)

Assembler Utility
The assembler utility (Assembler.exe) is provided for use in conjunction with the Split File tool. You can find a copy of the assembler in the folder where ShellToys XP was installed. When you split a file, a checkbox option lets you copy the assembler to the output folder along with the split file-parts. If you are distributing the file parts to someone who doesn't have ShellToys XP, make sure you include the assembler with the file parts.

The assembler displays simple instructions when the user clicks its Help button or presses F1. Here, in brief, are usage instructions:

  1. Start the assembler utility (Assembler.exe).

  2. Click the Browse button to find and select the first file in the series of split files. This is the file with a .001 extension. (If the assembler is in the same folder as the file parts, it will find and select this file automatically on startup.)

  3. Click Assemble. The assembler will rebuild all the file parts into a single file with the same name as the original (i.e. the name of the file parts minus their numeric extensions) in the same folder as the file parts. If a file with this name already exists in that folder, the user is given a choice of replacing it or canceling the operation.

  4. Close the assembler. Always check the reassembled file before deleting the file parts. The assembler can be deleted or can be kept for future use.

Notes:

  • For reassembly to work, all the file parts must be in a single directory. If a single file is missing (or any of the files have been renamed) the resulting file will be incomplete and is unlikely to be usable.

  • The Assembler utility is freeware, provided under license. Click the License button in the Assembler to read the license agreement. Using the Assembler to reassemble a file constitutes acceptance of the terms of its license agreement.


Up One Level
Available for: Window background

Unlike the other ShellToys, this tool adds an item directly to the top of the context menu shown when you right-click a blank space in a folder or Open/Save dialog. Clicking the Up One Level item switches to the current folder's parent in the same window.

Note: This item does not function in Open/Save file dialogs on Windows 98 and Windows 98 SE systems.


View Icons
Available for: Single icon and icon-library files (.ico, .exe, .dll, .scr, .cpl, .ocx and .icl files)

View Icons is a powerful icon-display and extraction/conversion tool. Icons can contain multiple images that cover a range of sizes and color-depths, and executable & icon library files can contain any number of icons. This tool displays all the images in an icon for all the icons contained in the selected file. You can extract individual icons, extract all icons, or save a single image from an icon as a bitmap, JPEG, PNG or icon file.

  • For single icon (.ico) files, right-click the file and choose View Icons from the ShellToys XP menu.

  • Executable files don't always contain icons, so the View Icons menu item will only be shown for executables that contain at least one icon. The number of icons is shown in brackets. Again, click the View Icons item.
The Icon Viewer window shows all the icons found in the selected file (for .ico files this will only be one). The images in each icon are listed from smallest to largest, and from lowest color-depth to highest. You can select icons by clicking them, or using the arrow keys. Right-click for options or choose from the main menu.

To view details of an icon, double-click it, or select it and press Alt+Enter. The Properties dialog shows the approximate size of the icon in bytes, the index number of the icon in the file, and the number of images contained in the icon, along with a list displaying each image and its details.

To extract an icon, select the icon to save, choose File, Save As and choose a name and location. An exact copy of the selected icon will be saved, including all its internal image formats.

To extract all the icons in the current file, choose File, Save All, and choose a folder to save the icons into. The files will have the names shown in the icons' captions plus an .ico extension. (For instance, if the caption is shell32.dll,15, the file will be saved as shell32.dll,15.ico)

To save a single image from an icon as an ICO, BMP or JPG file, select the icon containing the image you want to save, and choose File, Custom Export. The Custom Export dialog will be shown, letting you choose the image and file format to use.

To create a new icon containing only the image formats you want, select the icon containing the images you want to save, and choose File, Custom Export. In the Custom Export dialog, select the image formats you want to include by holding Ctrl as you click each image.

To open a different icon or library file, choose File, Open to select the file, or simply drag-and-drop the file into the Icon Viewer window. You can also double-click the filename-panel at the top of the window to select a new file.

See also:

  • Custom Export Dialog


View Icons: Custom Export Dialog

Custom Export Dialog
This dialog is shown when you select an icon and choose Custom Export from the Icon Viewer window. It provides the option to extract a single image from an icon and save it as a bitmap, JPEG, PNG or icon file, or to create a new icon file containing only the image formats you want.

  1. Choose the required export format for the image: icon, bitmap, JPEG or PNG.

  2. If you chose bitmap or JPEG, you can pick a background color for the image by clicking the color-button. (PNG images are saved with transparency, using the same transparent color as the icon.)

  3. Select the image you want to save from the list below and click OK (or double-click the image to save). If you're exporting as an icon you can choose multiple image formats to include by holding Ctrl as you select images. (To deselect an item you selected accidentally, hold Ctrl and click it again.)

  4. In the file dialog that appears, choose a name and location for the exported image file.


Zip/Jar/Cab Contents
Available for: Single Zip, Jar or Cab Files

Zip/Jar/Cab Contents displays the contents of the selected zip, self-extracting zip, jar or cabinet archive on a flyout menu, and allows you to extract its contents, extract just a single file, or view a single file. Depending which of these types of archive is selected, the menu item will read Zip Contents, Jar Contents or Cab Contents. With this one exception, the way the menu works is identical for all three archive types.

Right-click any archive file or self-extracting zip (.exe) icon, move down to ShellToys XP and then to the Zip Contents (or whatever) item. Beside this item you'll see the number of files contained in the archive.

The submenu will show Extract All, Extract To New Folder, and the names of the files in the archive. (By default, only the first 100 files in the archive will be shown on the menu - see Important Notes - but you can change this figure or switch off the limitation entirely.)

To extract the entire contents of the selected archive:

  • Extract All extracts the entire contents of the archive to the folder containing the archive. If files with the same names exist already, they will be overwritten by the new files.

  • Extract To New Folder creates a folder with the same name as the archive file and extracts the contents to the archive to this folder. If a folder with this name already exists, a unique numeric extension will be added to the folder name. This method ensures that no files are overwritten.

To extract a single file:

  • To extract and keep a file from the archive, click its name. It will be extracted to the same folder as the archive file, overwriting a file with the same name if one exists.

  • To view a file, hold Ctrl and click its name. The file will again be extracted to your Temp folder and opened in its associated application. When you close the application, the temporary file will be automatically deleted. If you want to edit and re-save the open file, remember to save it using a different name or location before closing the application.

See also:

  • Important Notes
  • Drag-and-drop archive extraction in ShellToys XP Settings


Important Notes (Zip/Jar/Cab Contents)

Important Notes
Note #1
The less-stable Windows operating systems (Windows 98, 98 SE and Me) are likely to crash when trying to display the contents of a very large archive on the menu. It is strongly recommended that you specify a maximum of 300-500 files in the ShellToys XP Options dialog. (On any operating system, you may wish to limit this figure to around 50-100 files, since displaying more items than this on a menu tends to be impractical anyway.) After ShellToys is first installed, the number of items displayed is limited to 100, but you can change this figure or switch off the limitation. More information.

Note #2:
No Zip Contents item on the menu? This is probably because the file doesn't actually have a .zip extension. Some popular zip programs handle many different formats of compressed file, each with their own extension, but use the same icon for each. A file that looks like a zip archive may be something different. Similarly, if the file has a .zip extension but you don't see a Zip Contents menu item, this indicates that either the compression method used isn't actually zip, and the file shouldn't have the .zip extension, or that the archive contains no files. The same details also apply to jar and cabinet archives.

Note #3
For Zip archives, Zip Contents uses file paths stored in the archive, recreating any folders specified by the creator of the archive.

Note #4
For Zip archives, if the zip file is password protected, a prompt dialog will be shown when you try to extract one or more files.


Menus (Extended Search & Replace)

Menus
Set Folder (Ctrl+D)
Lets you choose the folder to be searched (equivalent to clicking the Browse button beside the Search in this folder field).

Find Files (Ctrl+F)
Starts the search for files matching the current criteria (equivalent to clicking the Find Files button).

Replace Text (Ctrl+R)
After prompting for confirmation, replaces all instances of the 'Find' text with the 'Replace' text in the files that are checked (equivalent to clicking the Replace Text button).

New Search (Ctrl+N)
Clears the list of found files and resets other options ready for a new search to be started.

Go To Folder (Ctrl+G)
Opens folder being searched.

Exit (Ctrl+Q)
Closes the X-Replace application.